- name: Yarn | GPG
  apt_key:
    url: https://dl.yarnpkg.com/debian/pubkey.gpg
    state: present

- name: Yarn | Ensure Debian sources list file exists
  file:
    path: /etc/apt/sources.list.d/yarn.list
    owner: root
    mode: 0644
    state: touch

- name: Yarn | Ensure Debian package is in sources list
  lineinfile:
    dest: /etc/apt/sources.list.d/yarn.list
    regexp: 'deb http://dl.yarnpkg.com/debian/ stable main'
    line: 'deb http://dl.yarnpkg.com/debian/ stable main'
    state: present

- name: Yarn | Update APT cache
  apt:
    update_cache: yes

- name: Install the packages
  apt:
    name: "{{ item }}"
  loop:
    - yarn